List user groups
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/scim/v2/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/scim/v2/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Resources": [
{
"displayName": "Blob Sales",
"id": "mEhXj6ZI",
"meta": {
"created": "2024-08-29T20:33:36.626Z",
"lastModified": "2024-08-29T20:33:36.626Z",
"resourceType": "Group"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"members": [
{
"display": "blob.ross@blobsrus.co",
"value": "9e8719d9-276a-4964-9395-a493189a247c"
}
]
}
],
"itemsPerPage": 1,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"startIndex": 1,
"totalResults": 1
}{
"error": "<response_code>",
"message": "<error_reason>"
}User group APIs
List user groups
Return a list of user groups, sorted by creation time.
GET
/
scim
/
v2
/
groups
List user groups
Authorizations
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
Query Parameters
The number of groups to return
An integer index that determines the starting point of the sorted result list
Response
List of user groups
The list of user groups
Show child attributes
Show child attributes
SCIM schema information for the response
The number of groups returned in the current page
The starting index of the current page in the result set
The total number of groups matching the query
Was this page helpful?
⌘I

